import { EventEmitter, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { EditorService } from '../../../services/editor.service';
import { ValidatorService } from '../../../services/validator.service';
import * as i0 from "@angular/core";
export declare class PreviewWrapperComponent implements OnInit {
    private fd;
    private validator;
    question: any;
    questionIndex: number;
    makeActiveQuestion: EventEmitter<any>;
    validQuestionData: EventEmitter<any>;
    errorPresent: boolean;
    questionIndexSubscription: Subscription;
    viewComments: boolean;
    viewAttachments: boolean;
    viewMessage: boolean;
    constructor(fd: EditorService, validator: ValidatorService);
    ngOnInit(): void;
    editQuestion(): void;
    /**
     * Operation on click of save button
     */
    checkForValidationStatus(mode?: any): Promise<void>;
    showComments(): void;
    showAttachments(): void;
    showMessage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PreviewWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PreviewWrapperComponent, "app-preview-wrapper", never, { "question": { "alias": "question"; "required": false; }; "questionIndex": { "alias": "questionIndex"; "required": false; }; }, { "makeActiveQuestion": "makeActiveQuestion"; "validQuestionData": "validQuestionData"; }, never, never, false, never>;
}
